import request from '@/utils/request'

// 查询点检记录列表
export function listSpotInspectionWork(query) {
	return request({
		url: '/device/spotInspectionWork/list',
		method: 'get',
		params: query
	});
}

// 查询点检记录详细
export function getSpotInspectionWork(orderId) {
	return request({
		url: '/device/spotInspectionWork/' + orderId,
		method: 'get'
		});
}

// 新增点检记录
export function addSpotInspectionWork(data) {
	return request({
		url: '/device/spotInspectionWork',
		method: 'post',
		data: data
	});
}

// 修改点检记录
export function updateSpotInspectionWork(data) {
	return request({
		url: '/device/spotInspectionWork',
		method: 'put',
		data: data
	});
}

// 删除点检记录
export function delSpotInspectionWork(orderId) {
	return request({
		url: '/device/spotInspectionWork/' + orderId,
		method: 'delete'
	});
}
